\documentclass[10pt,landscape]{report}
\usepackage[height=183mm,width=250mm]{geometry}
\usepackage{preambule-utf8}
\usepackage[upright]{fourier}

%\entete{}{}{}%g,d,b
\graphicspath{{/home/moi/Photos/Tehessin/}{/home/moi/Figures/FigSTI/}{/home/moi/Figures/figuresTS/}}

\newcolumntype{A}{>{\arraybackslash}X}





\newcommand{\MarqueCommandeGiac}[1]{%
    \color{gray}$>\ $}
\newcommand{\MarqueLaTeXGiac}{%
    \color{blue}}
\newcommand{\InscriptionFigureGiac}[1]{%
    \begin{center}
	\includegraphics[width=0.7\linewidth]{#1}
    \end{center}}




\begin{document}
\setlength{\parindent}{0pt}
\thispagestyle{empty}


.gp string = text

.gp commande = listing


\psshadowbox*[fillcolor=0.8white,framearc=.25]{%
\begin{minipage}{\textwidth}
\smallskip
{\LARGE\bfseries \begin{center} Exercices BTS 2 : rappels d'analyse - fonctions usuelles
\end{center}}
\smallskip
\end{minipage}
}
\vspace{1cm}
         

\begin{multicols}{2}

\exot{\'Echelon de Heaviside}


\begin{enumerate}
\item Occupons-nous de fonctions utilisées couramment en électricité et aussi en infographie, en musique, etc. 

\begin{tabularx}{0.9\linewidth}{AA}

On considère le cicuit très simple ci-contre. On ferme l'interrupteur à l'instant $t=0$ et on mesure la tension $\UR(t)$ .
Elle peut être définie par \[t\mapsto \UR(t)=\begin{cases} E &   \text{si}\  t\se 0\\ 0 &   \text{si }\  t<0 \end{cases}\]
&

\includegraphics{CircuitOnOff.1}

\end{tabularx}

Représentez graphiquement la fonction $\UR$.

\item On note $f$ la fonction $f~:~t\mapsto \UR(t-2)$ et $g~:~t\mapsto \UR(t+2)$.

En électricité, on appelle l'une \textit{échelon retardé} et l'autre \textit{échelon avancé} : pourriez-vous dire qui est qui ?



\end{enumerate}



\exot{Fonction porte}

Représentez la fonction $\Pi~:~x\mapsto \begin{cases} E &   \text{si}\  |x|\ie 1/2\\ -E &   \text{si }\ |x|>1/2 \end{cases}$

Donnez une interprétation physique de cette fonction si $x$ représente la fréquence d'un signal émis par un émeteur radio.



\exot{Signal carré}


 Pour s'amuser, on fait varier le sens du courant.  Représentez la fonction $\f$ qui est de période 1 et vérifie
\[t\mapsto \f(t)=\begin{cases} E &   \text{si}\  0<t<1/2\\ -E &   \text{si }\  1/2<t<1 \end{cases}\]


\exot{Signal triangulaire}

\begin{enumerate}

\item
Soit T la fonction \textbf{paire}, de période 1, et qui vérifie, pour tout $x\in[0\pv 1/2[$ 
\[ T(x)=E-2Ex  \]


Représentez graphiquement cette fonction et déterminez l'expression de cette fonction pour $x\in]-1/2\pv 0]$



\item On considère la fonction $\Lambda$ définie sur $\bbr$ par 

\[  \Lambda~:~t\mapsto t\UR(t)-2(t-1)\UR(t-1)+(t-2)\UR(t-2)  \]

où $\UR$ est la fonction de Heavyside étudée précédemment.

Représentez graphiquement cette fonction en distingant les intervalles $]-\infty\pv 0[$, $[0\pv 1[$, $[1\pv 2[$ et $[2\pv +\infty[$.

\item Donnez un nom à la fonction suivante $d$, de période 1, telle que $d(x)=Ex$ pour tout $x\in[0\pv 1[$.

\end{enumerate}

\exot{Fonctions causales}


Les fonctions causales sont très utilisées en électricité. Il s'agit tout simplement de fonctions nulles sur $]-\infty\pv 0]$. 

Pour les exprimez, on utilise la fonction de Heaviside qu'on multiplie par des fonctions usuelles. Représentez graphiquement les fonctions suivantes

\begin{nliste}{2}
\item $f_1~:~x\mapsto \UR(x)\sin x$
\item $f_2~:~x\mapsto \UR(x)\sin(x-\pi)$
\item $f_3~:~x\mapsto \UR(x-\pi)\sin x$
\item $f_4~:~x\mapsto \UR(x-\pi)\sin(x-\pi)$



\end{nliste}



\exot{Limite en l'infini d'une fonction rationnelle}

Chacune des fonctions $f$ ci-dessous est définie sur $]1; +\infty[$. Pour chacune d'entre elle, déterminer 
$\displaystyle {
   \lim _{x\to +\infty } f(x)
}$.
\begin{nliste}{3}
   \item
      $f(x) = - {4x\over x-1}$
     
   \item 
      $f(x) = {1-2x\over 1-x^2}$
   \item 
      $f(x) = - {2x\over (x-1)^2}$


\end{nliste}


\exot{Limites d'une fonction rationnelle, asymptotes}

On considère la fonction $f$ définie pour tout réel $x$ de
l'intervalle $]1, +\infty [$ par 
$$
f (x) = {2x + 1\over 1-x}.
$$

\begin{enumerate}

\item Déterminer la limite de $f (x)$ lorsque $x$ tend vers $+\infty $.

\item Déterminer la limite de $f (x)$ lorsque $x$ tend vers $1$.

\item Déduire des questions précédentes que la courbe
représentative de $f$ admet deux asymptotes. Donner une équation de
chacune de ces asymptotes.


\end{enumerate}


\exot{Asymptote et  fonction rationnelle}

On considère la fonction $f$ définie sur $]-1, +\infty [$ par
$$
   f (x) = x + 3 + {2\over x+1}.
$$

\begin{enumerate}
\item Déterminer $\displaystyle \lim _{x\to -1} f (x)$. 

\item Que peut-on en déduire comme asymptote pour la courbe
représentative $C$ de $f$~?

\item Déterminer $\displaystyle \lim _{x\to +\infty } f (x)$. 

\item Déterminer $\displaystyle \lim _{x\to +\infty } \big[
f (x) - (x+3)\big] $. 

\item Que peut-on en déduire comme asymptote pour la courbe
représentative $C$ de $f$~?

\end{enumerate}


\exot{Asymptotes et fonction rationnelle bis}

On considère la fonction $f$ définie sur $]1, +\infty [$ par
$$
   f (x) = {x^2 + 3x + 1\over x-1}.
$$

\begin{enumerate}
\item Déterminer trois nombres réels $a$, $b$ et $c$ tels que, pour
tout nombre $x \in \, ]1, +\infty [$, on ait
$$
   f (x) = ax + b + {c\over x-1}
$$

\item En déduire que la courbe représentative $C$ de $f$ admet
une asymptote oblique $\Delta $ dont on donnera une équation.

\item \' Etudier la position de $C$ par rapport à $\Delta $ sur
l'intervalle $]1, +\infty [$.

\item Montrer que la courbe $C$ admet une autre asymptote dont on
donnera une équation.


\end{enumerate}



\exot{Lecture de graphique}

La courbe $C$ représentée ci-dessous est la courbe représentative dans
le plan muni d'un repère orthogonal $(O, \vec \imath , \vec \jmath )$
de la fonction $f$ définie sur $]-1, +\infty [$ par
$$
   f (x) = ax + b + {c\over x+d},
$$
où $a$, $b$, $c$ et $d$ sont quatre nombres réels que l'on se propose
de déterminer.

\begin{center}
  \includegraphics{asym_004.ps}
\end{center}

\begin{enumerate}
\item On admet que les droites $D_1$ et $D_2$ sont les asymptotes
de la courbe $C$. Déduire du graphique une équation de chacune de ces
asymptotes.

\item En utilisant la question précédente, et en remarquant que la
courbe $C$ passe par le point $A (-1, -1)$, déterminer les nombres
réels $a$, $b$, $c$ et $d$.

\end{enumerate}



\exot{Lecture de graphique, tangente}

La courbe $C$ donnée ci-dessous est la représentation graphique d'une
fonction $f$ définie et dérivable sur $[-1; 4]$, dans un repère
orthogonal d'unités graphiques 2~cm sur l'axe des abscisses~ et
 1~cm sur l'axe des ordonnées.

  


\begin{center}
    \includegraphics{lect_001.ps}
  \end{center}
   



\begin{enumerate}


\item Résoudre graphiqement les équations suivantes~:

\item $f (x) = 0$~;

\item $f (x) = 3, 5$~;

\item $f' (x) = 0$.

\item Utiliser la courbe $C$ pour donner le tableau de
variations de $f$.

\item En déduire le signe de $f' (x)$.

\item La droite $T$ tangente à la courbe $C$ au point $B$
d'abscisse $x=0$ passe par le point $A$ de coordonnées $(-5/4; 1)$.

\item Déterminer une équation de $T$ par le calcul.

\item En déduire $f' (0)$.

\end{enumerate}



\exot{Calculs de dérivées}

Calculer la fonction dérivée pour chacune des fonctions suivantes~:

\begin{enumerate}
\item {} $\bullet $ {\bf un polynôme~:} $f$ définie sur $\bbr $ par~·
$f (x) = -3x^4 + 6x^2 + 1$

\item {} $\bullet $ {\bf un produit de polynômes~:} $f$ définie
sur $\bbr $ par~:
$f (x) = (-x+2) (3x+7)^2$

\item {} $\bullet $ {\bf un inverse~:} $f$ définie sur $\bbr ^*$
par~:
$\displaystyle {
   f (x) = {1\over x^2}
}$.

\item {} $\bullet $ {\bf une somme d'inverses~:} $f$ définie sur
$\bbr ^*$ par~:
$\displaystyle {
   f (x) = {2\over x^2} - {4\over x^3}
}$.

\item {} $\bullet $ {\bf une fraction~:} $f$ définie sur $]3;
+\infty [$ par~:
$\displaystyle {
   f (x) = {3x-7 \over -x+3}
}$.

\item {} $\bullet $ {\bf une puissance de fonction trigo~:} $f$
définie sur $\bbr $ par~:
$f (x) = \sin ^2 x$.


\end{enumerate}


\exot{Calculs de dérivées - \'Etudes de signes}

Pour chacune des fonctions $f$ suivantes, déterminer la fonction
dérivée $f'$ et étudier le signe de $f'$ sur $\bbr$ (ou sur
l'intervalle précisé le cas échéant).

\everymath={\displaystyle}
\begin{nliste}{2}

\item\ $f (x) = {x^3 \over 3} + 4x^2 - 5x + 1$ 
 

\item\ $f (x) = {2 \over 3x - 1}$ pour $x \neq -{1\over3}$
 


\item\ $f (x) = {2x - 6 \over x + 1}$ pour $x \neq -1$
 


\item\ $f (x) = x \sqrt{x}$ pour $x \geq 0$
 


\item\ $f (x) = {-2 \over (x+1)^2}$ pour $x \neq -1$
 

\item\ $f (x) = 2 - {1 \over 1+x}$ pour $x \neq -1$
 

\item\ $f (x) = \sqrt{2x - 1}$ pour $x \geq {1\over2}$
 

\item\ $f (x) = {x+1 \over 2} - {2 \over x+1}$
 

\item\ $f (x) = {x \over 2 } + 1 - {1\over x}$
 

\item\ $f (x) = {x^2 - 6x + 8 \over x^2 + 1}$
 

\item\ $f (x) = \sin \left( x + {\pi\over3} \right), x \in [0, \pi]$
 

\item\ $f (x) = \cos \left( 2x + {\pi\over3} \right), x \in [0, \pi]$
 
\end{nliste}




\exot{Problème d'optimisation}
Les molécules d'un gaz enfermé dans un récipient à la
température $T$ sont animées d'une vitesse de $v$ cm.s$^{-1}$. Cet
état d'équilibre est caractérisé par la fonction de distribution
de vitesse de \textsc{Maxwell-Boltzmann}
$$F(v)=cv^2\,e^{-mv^2/(2kT)}$$
où $T$ est la température (en K), $m$ la masse d'une molécule et
$c$ et $k$ des constantes positives.

Montrez que la valeur maximale de $F$ a lieu en $v=\sqrt{2kT/m}$.



\section*{Quelques rappels sur la dérivation}

\emph{ Soit $f$ une fonction définie sur un intervalle $I$ de
$\bbr$, et soit $a$ un élément $I$.\\
On dit que \textbf{\mg$f$ est dérivable en $a$} lorsque le taux
d'accroissement $\ds\frac{f(x)-f(a)}{x-a}$ admet une limite finie
quand $x$ tend vers $a$. Cette limite est alors appelée
\textbf{\mg dérivée de $f$ en $a$}, et est notée $f'(a)$ :
$$f'(a)=\lim_{x\to a,\,x\neq a}\frac{f(x)-f(a)}{x-a}.$$
ou encore $$f'(a)=\ds\lim_{h\to 0}\fr{f(a+h)-f(a)}{h}$$
}
 
\begin{center}
  \includegraphics{limfonc.22}
\end{center}


 {\bf Approximation locale d'une courbe par sa tangente}

 \emph{Au voisinage de d'un nombre $a$ où $f$ est dérivable, $$f(x)=f(a)+(x-a)f'(a)+(x-a)e(x)\quad \text{avec} \ \Lim{a}e(x)=0$$ c'est à dire $$f(x)=f(a)+(x-a)f'(a)+o(x-a)$$
  ou encore $$f(x)\ds\underset{a}{\sim}f(a)+(x-a)f'(a)$$}




\begin{center}
  \includegraphics{limfonc.24}
\end{center}

\textbf{Dérivée de fonctions composées}
\emph{Si $g$ est  dérivable en $x_0$ et $f$  dérivable en $g(x_0)$ alors
  la fonction  composée $f\circ g$  est dérivable en $x_0$  et $$(f\circ
  g)'(x_0)=f'\big(g(x_0)\big)\times g'(x_0)$$}


\exot{Calculs de dérivées}

$$a(x)=\pa{\cos(x)^6}\quad b(x)=\fr{1}{\ln x}\quad c(x)=\sqrt{1+e^{-2x}}\quad d(x)=e^{sin{x}}\quad \pa{x^2+x+3}^{3/2}\quad e(x)=\ln\pa{\ln x}$$
$$f(x)=\ln\pa{\ln\pa{\ln{\pa{ln x}}}}\quad g(x)=\fr{2\sqrt{x}}{1+x}\quad h(x)=\ln\pa{\fr{1+x}{1-x}}\quad i(x)=\fr{j\omega x}{(j\omega x)^2+3j\omega x+1}$$


\exot{Tracer le graphe d'après la dérivée}

Une question surgit dans votre esprit en ébullition. On connaît des fonctions dont les dérivées
sont $x\mapsto x^2$, $x\mapsto  x^1$, $x\mapsto x^0$, $x\mapsto x^{-2}$,
$x\mapsto x^{-3}$, etc.
mais on ne connaît pas de fonction du même type dont la dérivée est $x\mapsto \frac{1}{x}$. En existe-t-il une~?

Pour le savoir, nous allons utiliser notre fameuse approximation  affine.

\[ f'(x)\approx \frac{f(x+h)-f(x)}{h}\]

pour $h$ \og suffisamment petit\fg

Nous en déduisons que $f(x+h)\approx h\times f'(x)+f(x)$.

Commentez alors le programme suivant
.g:
  der2fonc(d,a,b,yo,h):={
     x:=a;
     y:=yo;
     P:=point(x,y);
  pour j de a jusque b pas h faire 
       y:=h*d(x)+y; x:=x+h; P:=P,point(x,y);
  fpour;
  couleur(P,rouge);
  }:;
.end


Observons maintenant le graphe de la fonction $f$ qui a pour dérivée $x\mapsto \frac{1}{x}$ sur
$[0,1\pv 15]$ avec $f(0,1)=-2,3$ et un pas de 0,05 :



.g  der2fonc(x->1/x,0.1,15,-2.3,0.05)


Cette fonction semble donc exister~! Vous l'avez étudié l'an passé...


\exot{Que fait ce programme~?}

.g:
  gericault(f,a,p):={
d:=0;
h:=0.1;
tantque abs(D-d)>p faire 
      D:=d;
      d:=(f(a+h)-f(a))/(h);
      h:=h/2;
ftantque;
return(d)
}:;
.end


Un indice de plus :

.g gericault(x->ln(x),2,0.0001)


\section*{Différentielle - Calculs d'erreur}

{\slshape
C'est ici que les torchons brûlent entre physiciens et mathématiciens ! La vision physicienne va apparaître aux yeux des mathématiciens comme une suite d'approximations naïves qui le  rend incapable de comprendre le calcul différentiel dans son ensemble, sa cohérence quelque soit la dimension de l'ensemble de départ et d'arrivée, sa nature linéaire, sa simplicité, sa beauté...

Pour le physicien, tout ceci n'est que pédantisme des matheux qui voient peut-être de la simplicité et de la beauté dans le calcul différentiel, mais ils sont bien les seuls !

Comme vous êtes plutôt portés vers la physique, nous étudierons les différentielles du point de vue du physicien, mais, pour le plaisir, nous toucherons un mot plus mathématique.
}
{\bf Différentielle d'une fonction d'une variable}
Soit $f$ une fonction dérivable en $a$. On appelle \textbf{différentielle de \textit{f} en \textit{a}} l'application LIN\'EAIRE  $$h\mapsto h\times f'(a)$$

{\slshape On (le physicien...) note $df=h\times f'(a)$. Or, si $f$ est la fonction identité, c'est à dire si $f(x)=x$ pour tout réel $x$, alors $f'(a)=1$ et donc d$x=1\times h$, et donc $$\text{d}f=f'(a)\text{d}x$$
C'est un peu tiré par les cheveux...


Reprenons un dessin connu pour mieux voir la situation :

\begin{center}
  \includegraphics{limfonc.29}
\end{center}

Sachant que le point $M$ a pour coordonnées $(a,f(a))$ et que la tangente $(MT)$ a pour coefficient directeur $f'(a)$, on a $$y_T-y_G=f'(a)\text{d}x=\text{d}f$$

Continuons à \og magouiller\fg. Appelons d$x$ (qui pour le mathématicien est une fonction) une petite variation autour de $a$, $\Delta f=f(a+dx)-f(a)$ et d$f=f'(a)$d$x$ (qui était une fonction et devient une longueur...)

Alors $\Delta f -$d$f=e(x)$, l'écart évoqué au début du chapitre et qui est négligeable devant d$x$.
Donc 
$$\Delta f \underset{0}{\sim}\text{d}f$$

Ainsi, en physique, pour de \og petites\fg variations, on assimilera $\text{d}f$ et $\Delta f$. Cela revient à ce que nous avons fait au paragraphe A-6



{\Large \bf En pratique}

Pourquoi tout ce pataquès ? Eh bien, vous savez par expérience qu'une formule physique est souvent donnée en fonction d'un produit, d'un quotient, d'une somme de grandeurs. Pour calculer l'erruer commises, il suffira d'utiliser les règles de dérivation

\textbf{  Opérations sur les différentielles  et application aux
  calculs d'erreur}

$\begin{array}{lcl}\Delta(f+g)&\underset{0}{\sim}&\text{d}(f+g)=\text{d}f+\text{d}g\\
\Delta(fg)&\underset{0}{\sim}&\text{d}(fg)=f\text{d}g+g\text{d}f\\
\Delta\pa{\fr{f}{g}}&\underset{0}{\sim}&\text{d}\pa{\fr{f}{g}}=\fr{g\text{d}f-f\text{d}g}{g^2}\end{array}$

\medskip

{\bf Un exemple} : vous verrez bientôt en physique les oscillations d'un pendule simple dont la période est $T=2\pi\sqrt{\fr{\ell}{g}}$ avec $\ell=1m$ la longueur du pendule et $g=9,80m\cdot s^{-2}$ l'accélération de la pesanteur. On veut calculer la variation de $T$ si $\ell$ varie de 1$cm$.

On calcule d'abord l'erreur absolue, à savoir approximativement la différentielle de $T$. $$\text{d}T=\fr{2\pi}{\sqrt{g}}\text{d}\sqrt{\ell}=\fr{2\pi}{\sqrt{g}}\fr{1}{2\sqrt{\ell}}\text{d}\ell=\fr{\pi}{\sqrt{\ell g}}\text{d}\ell$$

On obtient d$T\simeq 10^{-2}s$

%L'erreur relative vaut donc $\fr{\text{d}T}{T}=5\cdot 10^{-3}$.

\textbf{\Large Erreur relative}

Le physicien sera plutôt intéressé par l'erreur relative d'un résultat : en effet, l'eereur absolue ne veut pas dire grand chose en elle-même. Une erreur d'un kilo sur un pétrolier c'est peu, sur une maquette de planeur en balsa c'est beaucoup.

On  est  donc  amené  à   calculer  $\fr{\delta  f}{f}$,  c'est  à  dire
$\fr{\text{d}f}{f}$ . Le \og truc\fg, c'est de remarquer que $$\fr{\text{d}f}{f}=\text{d}(\ln f)$$

et donc 

{\bf Dérivée logarithmique et erreur relative}

$\begin{array}{lcl}\fr{\d (fg)}{fg}&=&\d (\ln(fg))=\d (\ln f)+ \d (\ln g)=\fr{\d f}{f}+\fr{\d g}{g}\\
\fr{\d f^n}{f^n}&=&\d (\ln f^n)= \d( n\ln f)=n\fr{\d f}{f}\\
\fr{\d (f/g)}{f/g}&=&\d(\ln(f/g))=\d(\ln f-\ln g)=\d(\ln f)-\d(\ln g)=\fr{\d f}{f}-\fr{\d g}{g}\end{array}$


\medskip

Par exemple, étudions la méthode de Bessel en focométrie (!)

$$f'=\fr{D^2-\ell^2}{4D}$$

Calculons l'erreur relative $\fr{\Delta f'}{f'}$ sur $f'$ en calculant $\ab{\fr{\d f'}{f'}}$

$$\ab{\fr{\d f'}{f'}}=\ab{\fr{\d(D^2-\ell^2)}{D^2-\ell^2}-\fr{\d(4D)}{4D}}=\ab{\pa{\fr{2D}{D^2-\ell^2}-\fr{1}{D}}\d D-\fr{2\ell}{D^2-\ell^2}\d\ell}$$

Donc $$\fr{\Delta f'}{f'}=\ab{\fr{2D}{D^2-\ell^2}-\fr{1}{D}}\Delta D-\ab{\fr{2\ell}{D^2-\ell^2}}\Delta\ell$$

AN : $D=1m$, $\Delta D=1mm$, $\ell=30cm$ et $\Delta \ell=1mm$

\vfill
Normalement on trouve une erreur relative d'environ 0,18\%
}




\exot{Calcul d'erreur }

Dans un essai de flexion 3 points, le module d'Young est donné par $$E=\fr{FL^3}{4fbh^3}$$
avec $F$ la force exercée sur l'éprouvette, $L$ la longueur entre appuis de l'éprouvette, $f$ la flèche, $b$ la largeur de l'éprouvette et $h$ la hauteur de l'éprouvette.

\sm

Donnez l'expression de l'erreur relative absolue $\ab{\fr{dE}{E}}_{max}$ en fonction des erreurs $dF$, $dL$, $df$, $db$ et $dh$ sur les différentes grandeurs.


\section{Fonction exponentielle}

\exot{Lecture graphique}

Reconnaître parmi les figures ci-contre les courbes représentatives des fonctions suivantes~:
\bel
\item $x\mapsto \E^{-x}$
\item $x\mapsto \E^{x}$
\item $x\mapsto \E^{x+1}$
\item $x\mapsto \E^{x}+1$
\item $x\mapsto -\E^{x}$
\item $x\mapsto -\E^{x-1}$
\el

\includegraphics[width=.9\linewidth]{analyse20078.14}




\exot{Propriétés algébriques}


Simplifiez au maximum les expressions suivantes~:

\begin{nliste}{3}
\item $\E^{x}\E^{-x}$
\item $\E^{x}\E^{-x+1}$
\item $\E\E^{-x}$
\item $\left(\E^{-x}\right)^2$
\item $\dfrac{\E^{2x}}{\E^{2-x}}$
\item $\dfrac{\left(\E^x\right)^3}{\E^{2x}}$
\item $\E^x \left(\E^x+\E^{-x}\right)$
\item $\left(\E^x\right)^5 \left(\E^{-2x}\right)^2$
\item $\E^{-3x+1}\left(\E^x\right)^3$
\item $\sqrt{\E^{-2x}}$
\item $\dfrac{\E^{-4x}\E}{\left(\E^{-x}\right)^2}$
\item $\left(\E^x+\E^{-x}\right)^2-\left(\E^x-\E^{-x}\right)^2$
\item $\left(\E^x-\E^{-x}\right)^2-\E^{-x}\left(\E^{3x}-\E^{-x}\right)$
\item $\left(\E^x-\E^{-x}\right)\left(\E^{2x}+\E^x+1\right)$
\end{nliste}



\exot{Dérivées}

Calculez les dérivées et les limites aux bornes des ensembles de définitions des fonctions définies
par les expressions suivantes~:

\begin{nliste}{3}

\item $f_1(x)=\E^x+x^2+1$
\item $f_2(x)=5\E^x+5x\E^x$
\item $f_3(x)=\E^x\sin(x)$
\item $f_4(x)=\dfrac{\E^x+1}{\E^x-1}$
\item $f_5(x)=\dfrac{3x+1-\E^x}{\E^{x}}$
\item $f_6(x)=x^3\E^{-x}$
\item $f_7(x)=\dfrac{x^2\E^{x}}{x+1}$
\item $f_8(x)=\dfrac{\E^{x}}{x}$
\item $f_9(x)=\dfrac{1}{\E^x}$
\item $f_{10}(x)=\left(\E^x\right)^2+\dfrac{1}{\E^x}$
\item $f_{11}(x)=\E^{-x}$
\item $f_{12}(x)=\E^{4x+1}$
\item $f_{13}(x)=\E^{\cos(x)}$
\item $f_{14}(x)=\E^{5x^3+7x+4}$
\item $f_{15}(x)=(x+1)\E^{-x+1}$
\item $f_{16}(x)=\dfrac{\E^{2x}-1}{x}$

\end{nliste}

\exot{Le gaz} Les molécules d'un gaz enfermé dans un récipient à la
température $T$ sont animées d'une vitesse de $v$ cm.s$^{-1}$. Cet
état d'équilibre est caractérisé par la fonction de distribution
de vitesse de \textsc{Maxwell-Boltzmann}
$$F(v)=cv^2\,e^{-mv^2/(2kT)}$$



\smallskip

où $T$ est la température (en K), $m$ la masse d'une molécule et
$c$ et $k$ des constantes positives.\\
Montrez que la valeur maximale de $F$ a lieu en $v=\sqrt{2kT/m}$.



\exot{Loi normale}

En statistiques, la \textit{distribution normale} est définie par la fonction de densité de probabilité
$$f(x)=\fr{1}{\sigma\sqrt{2\pi}}e^{-z^2/2}\quad\text{où}\quad
z=\fr{x-\mu}{\sigma}$$ $\mu$ est la moyenne de cette distribution
et $\sigma^2$ la variance. L'étude de cette fonction est utilisée
dans des domaines qui vont de la mécanique quantique à la
répartition des notes du baccalauréat.
\'Etudiez cette fonction (sens de variation, limites) et tracez la
courbe représentative de $f$.


\exot{Electicity} On considère un circuit électrique composé d'une force
électromotrice $U$, d'une résistance $R$ et d'une inductance $L$.
L'intensité du courant $I$ varie en fonction du temps $t$ selon la
formule
$$I=\fr{U}{R}\left(1-e^{-Rt/L}\right)$$
On considère que $R$ est la seule variable indépendante, $i.e.$
$U$, $L$ et $t$ sont considérés comme des constantes et $R$ comme
une variable. Calculez $\ds\lim_{R\to 0\ R>0}I$.






\exot{Panthère rose}

La loi de Newton sur le refroidissement dit que la vitesse de refroidissement d'un objet est
proportionnelle à l'écart de température entre l'objet et le milieu ambiant.

L'inspecteur \textsc{Clouseau} arrive sur les lieux d'un meurtre à 9:00. Il commence par prendre la
température de la victime~:~30\degre C. Une heure plus tard, la température du corps est tombée à
29\degre C. Sachant que la température normale du corps d'une personne vivante en bonne santé est de
37\degre C, que la victime était syldave, qu'elle  aimait  les films de gladiateurs et se trouvait
dans une pièce maintenue à 0\degre C, estimez l'heure du décès de la victime et la couleur de ses yeux.







\exot{Étude d'une fonction}
On consid\`ere la fonction $f$ d\'efinie sur $\R$ par 

\[f(x) = \dfrac{x}{\text{e}^x - x}.\]

\noindent On note ($\mathcal{C}$) sa courbe repr\'esentative dans le plan rapport\'e au rep\`ere orthogonal \oij, l'unit\'e graphique est 2 cm sur l'axe des abscisses et 5 cm sur l'axe des ordonn\'ees.

\vspace{0,25cm}

\noindent \textbf{Partie A}\\
Soit $g$ la fonction d\'efinie sur $\R$ par $g(x) = \text{e}^x- x - 1$.

\begin{enumerate} \item \'Etudier les variations de la fonction $g$ sur 
$\R$. En d\'eduire le signe de $g$.

\item Justifier que pour tout $x,~ \left(\text{e}^x -x\right)$ est strictement positif.

\end{enumerate}

\vspace{0,25cm}

\noindent \textbf{Partie B}

\begin{enumerate} \item \begin{enumerate} \item Calculer les limites de 
la fonction $f$ en $+ \infty$ et en $- \infty$.

\item Interpr\'eter graphiquement les r\'esultats pr\'ec\'edents.

\end{enumerate}

\item \begin{enumerate} \item Calculer $f'(x),~ f'$ d\'esignant la fonction d\'eriv\'ee de $f$.

\item \'Etudier le sens de variations de $f$ puis dresser son tableau de variations.

\end{enumerate}

\item \begin{enumerate} \item D\'eterminer une \'equation de la tangente (T)  \`a la courbe ($\mathcal{C}$)  au point d'abscisse $0$.

\item \`A l'aide de la \textbf{partie A}, \'etudier la position de la courbe ($\mathcal{C}$) 
par rapport \`a la droite (T).

\end{enumerate}

\item Tracer la droite (T) les asymptotes et la courbe ($\mathcal{C}$).

\end{enumerate}




\exot{Puissance réelle d'un réel}

\fbox{Pour tout réel $a>0$ et pour tout réel $b$, on pose $a^b=e^{b\ln a}$}

\begin{enumerate}

\item \'Etudiez les fonctions $f_{\al}~:~x\mapsto x^{\al}$

\item \'Etudiez la fonction $\f~:~x\mapsto 2^x$.

\item Soient $\al$ et $\beta$ deux réels. \'Etudiez $\lin\fr{n^{\al}}{1+n^{\beta}}$.

\jok{Discutez selon le signe de $\beta$, puis selon celui de $\al$}

\end{enumerate}

\exot{Calcul de dérivées}

Calculez les dérivées des fonctions définies par 
\begin{nliste}{3}
\item  $a(x)=\ln(\ln x)$  \item $b(x)=\ln(\ln(\ln(\ln x)))$ \item $c(x)=\ln\pa{\fr{1+x}{1-x}}$
\end{nliste}



\section*{Retour sur les primitives}

Complétez le tableau suivant

\sm

%\begin{tabular}{|m{3cm}||m{3cm}|m{3cm}|m{3cm}|m{3cm}|}
\begin{tabularx}{0.9\linewidth}{Y{3}}
\whline $f$& Je pose $u=$ & Alors $u'=$ & Forme de $f$ en fonction de $u$ et $u'$ & Une primitive de $f$ est \\
\whline \vtabb$\fr{x+1}{(x^2+2x+2)^3}$& & & & \\
 \hline\vtabb $\fr{\cos(2x)}{\pa{3+\sin(2x)}^3}$& & & &\\
\hline \vtabb$\fr{\pa{\ln x}^2}{x}$& & & & \\
 \hline \vtabb$x\sqrt{x^2-1}$& & & & \\
 \hline\vtabb$16\fr{e^x}{1+2e^x}$ && & & \\
  \hline \vtabb$\fr{e^{1/x}}{x^2}$ & & & & \\
  \hline \vtabb$\fr{1}{x\ln x}$& & & & \\
 \hline \vtabb$\fr{e^x}{(2+e^x)^3}$& & & & \\
  \hline \vtabb$xe^{-x^2/2}$& & & & \\
\hline \vtabb$\fr{e^x-e^{-x}}{e^x+e^{-x}}$& & & & \\  
\hline \vtabb$\cos(x)\sin^5(x)$& & & & \\
\whline
\end{tabularx}






\section*{\'Echelles semi-logarithmiques}

\exot{Un petit préambule : logarithme décimal}

\fbox{La fonction $\log\ :\ x\mapsto \fr{\ln x}{\ln 10}$ définie pour $x>0$ est appelée \textbf{fonction logarithme décimale}}

\'Etudiez brièvement cette fonction et mettez en évidence ses principales propriétés algébriques.

\sm

On considère un repère où l'axe des abscisses est gradué comme d'habitude et où l'axe des ordonnées est gradué en échelle logarithmique,
c'est à dire qu'une unité étant choisie, la $k-ième$ unité correspond à une ordonnée de $10^k$.

Représentez dans un tel repère les fonctions suivantes : \been
\item $f_1~:~x\mapsto 10^x$
\item $f_2~:~x\mapsto 32\times 10^x$
\item $f_3~:~x\mapsto 0,32\times 10^x$
\item $f_4~:~x\mapsto e^x$
\item $f_5~:~x\mapsto e^{-32x}$

\een









\exot{Décibels}



Si G est une grandeur et $G'$ une nouvelle grandeur, les nombres $G'-G$ ou $\ofr{G'}{G}$ ou
$\ofr{G'-G}{G}$ peuvent
être trop grands  ou trop petits pour  être interprétés. On utilise alors  une échelle logarithmique
(de   base   10).   En   supposant   $G$   et  $G'$   strictement   positifs,   on   calcule   ainsi
$\log_{10}\frac{G'}{G}$  et le  résultat est  exprimé en  \textbf{Bel}. On  utilise  plus couramment
$10\log_{10}\frac{G'}{G}$  qui est  exprimé en  \textbf{décibel}  si G  et $G'$  sont des  grandeurs
utilisées  en  acoustique, électronique,  télécommunications  (Bel  vient  de Graham  \textsc{Bell},
l'inventeur du téléphone). 

Si $\log_{10}\frac{G'}{G}$ est positif, on parle de gain et sinon d'atténuation ou de perte.


\smallskip

\subsection*{Attention aux vendeurs de lave-vaisselle ou d'aéroports~!}

Soit $P_0$ la puissance fournie à l'entrée d'un appareillage et $P_1$ la puissance de sortie.

\begin{enumerate}
\item  On vous dit  que l'atténuation  de la  puissance est  de 3  dB. Que  peut-on en  déduire pour
  $\ofr{P_1}{P_0}$~?


\item Que dire du gain en décibels si $\ofr{P_1}{P_0}=10$~? $=100$~? $=200$~?
\end{enumerate}




\exot{Fonctions de transfert en électronique}

Un circuit peut être caractérisé par sa fonction de transfert $T$ dépendant de la pulsation $\omega$ de la tension sinusoïdale.

On s'intéresse souvent à la courbe de gain associée représentant la fonction $$G~:~\o\mapsto 20\log|T(\o)|$$ où le gain $G$ est exprimé
en décibels.

Par commodité, l'axe des ordonnées est gradué en échelle décimale, et l'axe des abscisses $\o$ est gradué en échelle log.

\been
\item \textbf{Un exemple} Représentons la courbe de gain de la fonction $$T_1~:~\o\mapsto j\fr{\o}{\o_0}$$
Tout d'abord, rappelez-vous qu'en électronique, $j$ représente le nombre de carré $-1$.

$G_1(\o)=20\log\ab{T_1(\o)}=20\log\o-20\log\o_0$. L'axe des abscisses étant gradué en échelle log, on pose $x=\log\o$, alors le gain est
représenté par la courbe d'équation $$y=20x-20\log\o_0$$ qui est donc une droite qu'on notera dans la suite du problème $(\DR)$ . On dit
que sa pente est de 20 décibels par décade.

Pour la tracer, on peut déterminer les coordonnées de deux points : \bel
\item pour $\o=\o_0$, $G_1(\o)=20\log1=0$
\item pour $\o=10\o_0$, $G_1(\o)=20\log10=20$
\el

\item On va s'intéresser maintenant à la fonction $$T_2~:~\o \mapsto 1+j\fr{\o}{\o_0}$$

\been
\item Regardez ce qui se passe au voisinage de 0, c'est à dire étudiez la limite de $G_2$ lorsque $\o$ tend vers 0 et interprétez
graphiquement.
\item Que sentez-vous au voisinage de $+\infty$~? Montrez que $(\DR)$ est asymptote à la courbe représentative de $G_2$ au voisinage de
$+\infty$. \een

\item Essayez de vous débrouillez avec $$T_3~:~\o \mapsto \fr{1}{1+j\fr{\o}{\o_0}}$$
(ya une ruse...)

\een


\exot{\'Etude du pont de Wien}

Il s'agit d'un circuit obtenu en plaçant en séries deux filtres $F_1$ et $F_2$, $F_1$ étant un filtre $R$-$C$ série et $F_2$ un filtre
$R$-$C$ en parallèle. Les deux resistances sont identiques et les deux condensateurs aussi. L'entrée est une tension $e(t)$ de pulsation
$\o$, la sortie étudiée est la tension aux bornes de la résistance placée dans le filtre $F_2$.

Dans tout le problème, on posa $\tau=RC$ et la fonction de transfert est notée $T(j\o)$, avec $j^2=-1$.

Vous verrez peut-être un jour que la notion de pont diviseur permet d'obtenir que $$T(j\o)=\fr{j\o\tau}{j^2\tau^2\o^2+3j\o\tau+1}$$

\been
\item Commencez par faire le schéma du circuit pour faire savant.
\item On pose à présent $x=\o\tau$\been
\item Montrez que $$\ab{T(j\o)}=\fr{x}{\sqrt{x^4+7x^2+1}}$$
On posera par la suite, pour simplifiez encore nos notations (qui deviennent aussi nombreuses que les personnages dans un roman russe)
$$f(x)=\fr{x}{\sqrt{x^4+7x^2+1}}$$
\item Calculez et écrivez sous la forme la plus simple possible la dérivée de $f$ par rapport à $x$.
\een
\item La fonction de gain normalisée est définie par $$G(x)=20\log\ab{f(x)}$$
On désigne par $S$ la courbe associée à $G$ dans un repère semi-log, $x$ étant porté sur l'échelle logarithmique.

\been
\item Montrez que $G(1/x)=G(x)$. Comment sont représentés l'un par rapport à l'autre les points images de $x$ et $1/x$ sur l'échelle
logarithmique~? Déduisez-en une propriété géométrique de $S$.
\item Calculez $\Lim{+\infty} G(x)+20\log(x)$. Interprétez ce résultat.
\item Construisez $S$.
\een\een





\section*{Fonctions circulaires}

\exot{Déphasage}

On a tracé  dans le graphique ci-dessous les  courbes représentatives de
$f~:~x\mapsto \sin(x)$, $g~:~x\mapsto \sin \left(x+\frac{\pi}{4}\right)$
et $h~:~x\mapsto \sin \left(x-\frac{\pi}{4}\right)$.

Qui est qui ?

.g graphe([sin(x),sin(x+pi/4),sin(x-pi/4)],x=-2*pi..2*pi);


\exot{Phase et amplitude}


On a tracé  dans le graphique ci-dessous les  courbes représentatives de
$f~:~x\mapsto \sin(x)$, $g~:~x\mapsto \sin \left(x+\frac{\pi}{2}\right)$, $h~:~x\mapsto \sin \left(x-\frac{\pi}{2}\right)$, $k~:~x\mapsto \sin \left(2x-\frac{\pi}{2}\right)$, $m~:~x\mapsto \sin \left(2x+\frac{\pi}{2}\right)$, $n~:~x\mapsto \sin \left(\frac{1}{2}x-\frac{\pi}{2}\right)$ et $p~:~x\mapsto \sin \left(\frac{1}{2}x+\frac{\pi}{2}\right)$.

Qui est qui ?

.g graphe([sin(x),sin(x+pi/2),sin(x-pi/2),sin(2*x+pi/2),sin(2*x-pi/2),sin(x/2+pi/2),sin(x/2-pi/2)],x=-2*pi..2*pi);


\exot{La phase cachée}

On considère la fonction $f~:~x\mapsto \cos(3t)+\sin(3t)$. Montrez que $f(x)$ peut s'écrire sous la forme $A\sin(\omega t+\varphi)$. Déterminez A, $\omega$ et $\varphi$.


\exot{Étude d'une fonction}

Soit $f$ la fonction définie sur $\bbr$ par~:

\[f(x)=1-\cos(x)-\frac{x^2}{2}\]


\begin{enumerate}
\item Déterminez la dérivée $f'$ de $f$.
\item Déterminez la dérivée seconde $f''$ de $f$ puis étudiez son signe.
\item Déduisez-en le sens de variations de $f'$. Dressez le tableau de variation de $f'$ en faisant apparaître  $f'(0)$.

Déduisez-en les variations de $f$.

\item Montrez que pour tout réel $x$ on a $1-\frac{x^2}{2}\ie \cos(x)$.

\item Tracez dans un repère orthonormal la courbe représentative de $f$ sur $\left[-\frac{\pi}{2}\,,\,\frac{\pi}{2}\right]$

\end{enumerate}
\vfill

\textcolor{white}{.}

\pagebreak

\eject


\section*{Tableau récapitulatif des dérivées}

\begin{center}
\begin{tabularx}{0.95\linewidth}{Y{1}}
\whline

\vtabb\textbf{$f(x)=$}& \textbf{$f'(x)=      $\hspace{5cm}}& \textbf{intervalle de validit\'e}\\

\whline 
\vtabplus $a\in \R$&&\\
\hline 
\vtabplus$x^n$ pour $n\in \bbn$&&\\

 \hline
\vtabplus$\fr{1}{x^n}$ pour $n\in \bbn$&&\\
 \hline 
\vtabplus$\sqrt{x}$&&\\
\hline
\vtabplus $\ln x $ &&\\
  \hline
\vtabplus  $\exp x$&&\\
\hline 
\vtabplus$x^\alpha $, $\alpha \in \R$&&\\
  \hline 
\vtabplus$\cos x$&&\\ 
\hline 
\vtabplus$\sin x$&&\\
 \hline 
\vtabplus$\tan x$&&\\ 
\hline
\vtabplus $u+v$&&\\ 
\hline
\vtabplus$\lambda u, \ \ \lambda \in\bbr$&&\\ 
\hline
\vtabplus $uv$&&\\ 
\hline
\vtabplus $\fr{u}{v}$&&\\ 
\hline
\vtabplus $u\circ v$&&\\ 
\whline

\end{tabularx}
\end{center}



\end{multicols}


\end{document}
%%% Local Variables: 
%%% mode: latex
%%% TeX-master: t
%%% End: 
